import { useLayoutStore } from '../stores/layout';

export function setupMapStore(mapStore, map, settings) {
    mapStore.map = map;
    mapStore.defaultMapCenter = map.getCenter();
    mapStore.maxZoom = settings.settings.maxZoom;
    mapStore.defaultZoomDesktop = settings.settings.minZoom;
    mapStore.defaultZoomMobile = settings.settings.minZoom - 1;
    mapStore.map.flyTo([mapStore.defaultMapCenter.lat, mapStore.defaultMapCenter.lng], useLayoutStore().isDesktop ? mapStore.defaultZoomDesktop : mapStore.defaultZoomMobile);
}